#!/bin/bash

GENIMAGE=$HOST_DIR/usr/bin/genimage

# Catch post-image Error
function error {
  
  echo "post-image Failed."
  exit 1;
}

set -e
trap error ERR

echo "==>   Domo post-image:"

if [ -e ${PROJECT}/configs/genimage.config ]; then
	echo "We will generate sdcard image."
	rm -rf ${BUILD_DIR}/genimage.tmp
	echo ">> \
		$GENIMAGE \
		--rootpath "${TARGET_DIR}"               \
		--tmppath "${BUILD_DIR}/genimage.tmp"    \
		--inputpath "${BINARIES_DIR}"  \
		--outputpath "${BINARIES_DIR}" \
		--config ${PROJECT}/configs/genimage.config"
	
	$GENIMAGE \
		--rootpath "${TARGET_DIR}"               \
		--tmppath "${BUILD_DIR}/genimage.tmp"    \
		--inputpath "${BINARIES_DIR}"  \
		--outputpath "${BINARIES_DIR}" \
		--config ${PROJECT}/configs/genimage.config
fi
